Package ghidra.app.util.viewer.field

# Class NamespacePropertyEditor

java.lang.Object
java.beans.PropertyEditorSupport
ghidra.app.util.viewer.field.NamespacePropertyEditor

All Implemented Interfaces:
  `CustomOptionsEditor`, `PropertyEditor`

public class NamespacePropertyEditor extends PropertyEditorSupport implements CustomOptionsEditor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NamespacePropertyEditor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Component`
  `getCustomEditor()`
  `String[]`
  `getOptionDescriptions()`
  Gets the descriptions of the options that this editor is editing.
  `String[]`
  `getOptionNames()`
  Gets the names of the options that this editor is editing.
  `Object`
  `getValue()`
  `void`
  `setValue(Object value)`
  `boolean`
  `supportsCustomEditor()`

  ### Methods inherited from class java.beans.PropertyEditorSupport

  `addPropertyChangeListener, firePropertyChange, getAsText, getJavaInitializationString, getSource, getTags, isPaintable, paintValue, removePropertyChangeListener, setAsText, setSource`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NamespacePropertyEditor

    public NamespacePropertyEditor()

- ## Method Details

  - ### setValue

    public void setValue(Object value)
    Specified by:
      `setValue` in interface `PropertyEditor`
    Overrides:
      `setValue` in class `PropertyEditorSupport`

  - ### getOptionDescriptions

    public String[] getOptionDescriptions()
    Description copied from interface: `CustomOptionsEditor`
    Gets the descriptions of the options that this editor is editing.
    Specified by:
      `getOptionDescriptions` in interface `CustomOptionsEditor`
    Returns:
      the descriptions of the options that this editor is editing; may be null.

  - ### getOptionNames

    public String[] getOptionNames()
    Description copied from interface: `CustomOptionsEditor`
    Gets the names of the options that this editor is editing.
    Specified by:
      `getOptionNames` in interface `CustomOptionsEditor`
    Returns:
      the names of the options that this editor is editing; may not be null.

  - ### getValue

    public Object getValue()
    Specified by:
      `getValue` in interface `PropertyEditor`
    Overrides:
      `getValue` in class `PropertyEditorSupport`

  - ### getCustomEditor

    public Component getCustomEditor()
    Specified by:
      `getCustomEditor` in interface `PropertyEditor`
    Overrides:
      `getCustomEditor` in class `PropertyEditorSupport`

  - ### supportsCustomEditor

    public boolean supportsCustomEditor()
    Specified by:
      `supportsCustomEditor` in interface `PropertyEditor`
    Overrides:
      `supportsCustomEditor` in class `PropertyEditorSupport`